Author Topic: Installing VisualAge 4 on ArcaOS 5.x  (Read 5452 times)

Mentore

  • Full Member
  • ***
  • Posts: 150
  • Karma: +4/-0
    • View Profile
Installing VisualAge 4 on ArcaOS 5.x
« on: January 05, 2024, 03:05:14 pm »
Hello all,
been trying to install this old beast under my ArcaOS powered VM.
It seems, though, that even installing Netscape Communicator + Feature Install I can't get past the installation splash screen. Also rebooting the VM and reinstalling FI alone doesn't get me anywhere.
ISTR there was something helpful for installing VAge without that nightmare known as Feature Installer - I mean, what the hell did IBM developers think when they deployed something like that?

So, any help would be greatly appreciated. TIA,
Mentore

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 1020
  • Karma: +24/-0
    • View Profile
    • Blonde Guy
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #1 on: January 05, 2024, 03:23:43 pm »
I converted almost all of the Feature Installer products to simple REXX command line installs. But not, apparently, this one. I think there is more going on here than simple Feature Installer. I remember getting it installed on eCS, but I didn't like it, so I guess I never tried on ArcaOS.

Feature Installer has clifi, which allows command line install on most apps.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com


Mentore

  • Full Member
  • ***
  • Posts: 150
  • Karma: +4/-0
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #3 on: January 08, 2024, 07:54:00 am »
Maybe this helps:

http://www.os2voice.org/VNL/past_issues/VNL1007H/feature_2.html

http://www.os2voice.org/VNL/past_issues/VNL0708H/feature_2.html

@Michael and Neil: thanks both.
Will try it this evening (if my son lets me a moment of relief, that is  8) )

Mentore

Mentore

  • Full Member
  • ***
  • Posts: 150
  • Karma: +4/-0
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #4 on: January 08, 2024, 02:11:16 pm »
Maybe this helps:

http://www.os2voice.org/VNL/past_issues/VNL1007H/feature_2.html

http://www.os2voice.org/VNL/past_issues/VNL0708H/feature_2.html

@Michael and Neil: thanks both.
Will try it this evening (if my son lets me a moment of relief, that is  8) )

Mentore

Turns out I somehow didn't copy the entire installation CD on my VM, so VACPP.RSP and other files weren't where expected.
Now I just finished installing it and gonna see how it works (I already know IDE will be pretty much disappointing).

Mentore

Dariusz Piatkowski

  • Hero Member
  • *****
  • Posts: 1315
  • Karma: +25/-0
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #5 on: January 08, 2024, 03:30:51 pm »
...Turns out I somehow didn't copy the entire installation CD on my VM, so VACPP.RSP and other files weren't where expected...

Not sure what the software level is that you ended up deploying, but if it's the base stuff make sure you apply the fixpak release that's avaialable, for VACPP 4.0 that's just FP1.

Mentore

  • Full Member
  • ***
  • Posts: 150
  • Karma: +4/-0
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #6 on: January 09, 2024, 08:01:51 am »
...Turns out I somehow didn't copy the entire installation CD on my VM, so VACPP.RSP and other files weren't where expected...

Not sure what the software level is that you ended up deploying, but if it's the base stuff make sure you apply the fixpak release that's avaialable, for VACPP 4.0 that's just FP1.

Totally agree with this, Darius. Will apply it this morning (as soon as I manage to wake up - my son got up at 3.30 in the morning, I'm feeling a little tired  ;D )

Andi B.

  • Hero Member
  • *****
  • Posts: 810
  • Karma: +11/-2
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #7 on: January 09, 2024, 09:39:07 am »
Did your install run through fully? A few months ago I tried to install over an existing installation but it failed. Even from the original CD it does not install all the things needed for the help system. AFAIR the installer crashed whatever I tried.

Lars

  • Hero Member
  • *****
  • Posts: 1264
  • Karma: +65/-0
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #8 on: January 09, 2024, 03:06:27 pm »
Did you try the Netscape browser based installation ?

If yes: even if you do not want to change drive and directory information for the installation directories, you need to reenter/reselect the drive/directory information, otherwise the browser will crash.

If you go with Alex' Install object suggestion, you can at least avoid that problem altogether.

Doug Clark

  • Sr. Member
  • ****
  • Posts: 305
  • Karma: +7/-1
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #9 on: January 10, 2024, 12:40:25 am »
One more tip for the Netscape install - size the netscape window as large as you can before starting the install.  On my systems, if I don't size netscape pretty large, the continue button is off the bottom of the screen and you can't get to it.

As for the help system - DB2/v v 7.x uses the same help system.  I believe however that it is a later version and you need to install VAC 4.0 first, then install DB2.  The ReadMe for DB2 explains this.

Also - installing the fix pack will break the links in the help to the sample code.  The samples are still there - you just have to hover the cursor over the link to see where the sample is located, then go to that location manually.

Lars

  • Hero Member
  • *****
  • Posts: 1264
  • Karma: +65/-0
    • View Profile
Re: Installing VisualAge 4 on ArcaOS 5.x
« Reply #10 on: January 10, 2024, 02:28:44 am »
Do the "mixed CID" installation:

1) create a file "parms.txt" with the following content assuming that:
    a) D: is your installation drive letter
    b) D: is your boot drive letter (see /B: parameter)
    c) V: is your CD-ROM drive letter
    d) adjust the main path (VACInstDir) to your liking
    e) adjust the samples path (VACSampDir) to your liking
    f) adjust the OS/2 toolkit path (VACToolDir) to your liking

/O:VAC
/SET:VACInstDrv=D:
/SET:VACSampDrv=D:
/SET:VACToolDrv=D:
/SET:VACInstDir=IBMCPP40
/SET:VACSampDir=IBMCPP40
/SET:VACToolDir=Toolkit
/SET:VACMediaPath=V:\VACPP
/R:V:\VACPP\VACPP.RSP
/S:V:\VACPP
/B:D:

Then run this from the directory where you created file "parms.txt":

clifi.exe /A:B /F:"<WP_DESKTOP>" /PARMS:parms.txt

You will get an installation object on your desktop where you can then select/deselect installation options.

Also find attached a text file that explains how to setup the help system. The help system still works with Firefox, there is no need to use Netscape. The file talks about VAC 3.6.5 but the help system is the very same for VAC 4.
« Last Edit: January 10, 2024, 09:41:36 am by Lars »